@import "variables";
@import "mixin";

#hamburger-menu-checkbox {
  display: none;
  @media #{$size_768} {
    display: block;
    position: absolute;
    margin-top: 20px;
    margin-right: 30px;
    width: 40px;
    height: 40px;
    opacity: 0;
    z-index: 99;
    right: 0;
  }
}

#hamburger-menu-checkbox:checked ~ .navbar {
  transform: translateX(-202px);
  transition: all .2s;
}

#hamburger-menu-checkbox:checked ~ div .hamburger-menu-hamburger {
  display: none !important;
}

#hamburger-menu-checkbox:checked ~ div .hamburger-menu-cross {
  display: block !important;
}

.hamburger-menu-button {
  display: none;

  @media #{$size_768} {
    width: 40px;
    height: 40px;
    position: absolute;
    margin-top: 20px;
    margin-right: 30px;
    right: 0;

    justify-content: center;
    align-items: center;
    background-color: black;
    color: $color_white;
    display: flex;
  }
}

.hamburger-menu-cross {
  color: $color_white;
  display: none !important;
}

.navbar {
  ul {
    text-align: center;
    padding: 0;

    li {
      display: inline-block;
      @media #{$size_768} {
        display: block;
      }
    }
  }

  .navbar-item {
    list-style: none;
    text-transform: uppercase;
    text-decoration: none;
    @include regularText;
    padding: 5px 15px;
    display: inline-block;

    &:hover {
      @media #{$size_768} {
        background-color: $color_gray;
      }
      color: $color_hoveredText;
    }
  }

  @media #{$size_768} {
    position: absolute;
    top: 60px;
    right: -202px;
    width: 150px;
    border: 1px solid $color_gray;
    background-color: $color_white;
    transition: all .2s;

    ul {
      text-align: left;
      padding: 0;
      margin: 0;
      box-shadow: 7px 7px 5px -5px #bfbfbf;
    }
    .navbar-item {
      display: block;
      border-bottom: 1px solid $color_gray;
      padding: 10px;
    }
  }
}